diff --git a/changelog b/changelog
index e2be770..27fe299 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20081224 tpd src/axiom-website/patches.html 20081224.06.tpd.patch
+20081224 tpd src/algebra/Makefile collapse layer 5 into layer 2
 20081224 tpd src/axiom-website/patches.html 20081224.05.tpd.patch
 20081224 tpd src/algebra/Makefile collapse layer 4 into 1 and 2
 20081224 tpd src/axiom-website/patches.html 20081224.04.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 7966832..2f2bcd4 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -183,8 +183,8 @@ LAYER0=\
 @
 \subsection{Layer 1}
 Depends on: BASTYPE CFCAT KOERCE KONVERT TYPE\\
-Used by next layer: FORTCAT RETRACT SETCAT
-
+Used by next layer: AGG ELTAGG FINITE FORTCAT IDPC IEVALAB LMODULE 
+MONAD ORDSET PATMAB RETRACT RMODULE SETCAT SGROUP 
 
 <<layer1>>=
 
@@ -217,12 +217,26 @@ LAYER1=\
   
 @
 \subsection{Layer 2}
-Depends on: FORTCAT RETRACT SETCAT
+Depends on: AGG ELTAGG FINITE FORTCAT IDPC IEVALAB LMODULE MONAD ORDSET 
+PATMAB RETRACT RMODULE SETCAT SGROUP 
 <<layer2>>=
 
 LAYER2=\
-  ${OUT}/FAMONC.o ${OUT}/FMC.o   ${OUT}/FMFUN.o  ${OUT}/FORTFN.o  \
-  ${OUT}/FVC.o    ${OUT}/FVFUN.o ${OUT}/INTRET.o ${OUT}/SEGXCAT.o  \
+  ${OUT}/ATRIG.o    ${OUT}/ATRIG-.o   ${OUT}/BMODULE.o  ${OUT}/CACHSET.o  \
+  ${OUT}/CHARNZ.o   ${OUT}/CHARZ.o    ${OUT}/DVARCAT.o  ${OUT}/DVARCAT-.o \
+  ${OUT}/ELEMFUN.o  ${OUT}/ELEMFUN-.o ${OUT}/ESTOOLS2.o ${OUT}/EVALAB.o   \
+  ${OUT}/EVALAB-.o  ${OUT}/FAMONC.o   ${OUT}/FCOMP.o    ${OUT}/FEVALAB.o  \
+  ${OUT}/FEVALAB-.o ${OUT}/FMC.o      ${OUT}/FMFUN.o    ${OUT}/FORTFN.o   \
+  ${OUT}/FPATMAB.o  ${OUT}/FVC.o      ${OUT}/FVFUN.o    ${OUT}/GROUP.o    \
+  ${OUT}/GROUP-.o   ${OUT}/IDPAM.o    ${OUT}/IDPO.o     ${OUT}/INCRMAPS.o \
+  ${OUT}/INTRET.o   ${OUT}/IXAGG.o    ${OUT}/IXAGG-.o   ${OUT}/KERNEL2.o  \
+  ${OUT}/LALG.o     ${OUT}/LALG-.o    ${OUT}/LINEXP.o   ${OUT}/MODMONOM.o \
+  ${OUT}/MONADWU.o  ${OUT}/MONADWU-.o ${OUT}/MRF2.o     ${OUT}/NARNG.o    \
+  ${OUT}/NARNG-.o   ${OUT}/NSUP2.o    ${OUT}/OASGP.o    ${OUT}/ODVAR.o    \
+  ${OUT}/OPQUERY.o  ${OUT}/ORDFIN.o   ${OUT}/ORDMON.o   ${OUT}/PATMATCH.o \
+  ${OUT}/PERMCAT.o  ${OUT}/PDRING.o   ${OUT}/PDRING-.o  ${OUT}/SDVAR.o    \
+  ${OUT}/SEGXCAT.o  ${OUT}/SUP2.o     ${OUT}/TRIGCAT.o  ${OUT}/TRIGCAT-.o \
+  ${OUT}/ULS2.o     ${OUT}/UP2.o \
   layer2done
 
 @
@@ -247,19 +261,6 @@ LAYER4=\
 <<layer5>>=
 
 LAYER5=\
-  ${OUT}/ATRIG.o    ${OUT}/ATRIG-.o   ${OUT}/BMODULE.o  ${OUT}/CACHSET.o  \
-  ${OUT}/CHARNZ.o   ${OUT}/CHARZ.o    ${OUT}/DVARCAT.o  ${OUT}/DVARCAT-.o \
-  ${OUT}/ELEMFUN.o  ${OUT}/ELEMFUN-.o ${OUT}/ESTOOLS2.o ${OUT}/EVALAB.o   \
-  ${OUT}/EVALAB-.o  ${OUT}/FCOMP.o    ${OUT}/FEVALAB.o  ${OUT}/FEVALAB-.o \
-  ${OUT}/FPATMAB.o  ${OUT}/GROUP.o    ${OUT}/GROUP-.o   ${OUT}/IDPAM.o    \
-  ${OUT}/IDPO.o     ${OUT}/INCRMAPS.o ${OUT}/IXAGG.o    ${OUT}/IXAGG-.o   \
-  ${OUT}/KERNEL2.o  ${OUT}/LALG.o     ${OUT}/LALG-.o    ${OUT}/LINEXP.o   \
-  ${OUT}/MODMONOM.o ${OUT}/MONADWU.o  ${OUT}/MONADWU-.o ${OUT}/MRF2.o     \
-  ${OUT}/NARNG.o    ${OUT}/NARNG-.o   ${OUT}/NSUP2.o    ${OUT}/OASGP.o    \
-  ${OUT}/ODVAR.o    ${OUT}/OPQUERY.o  ${OUT}/ORDFIN.o   ${OUT}/ORDMON.o   \
-  ${OUT}/PATMATCH.o ${OUT}/PERMCAT.o  ${OUT}/PDRING.o   ${OUT}/PDRING-.o  \
-  ${OUT}/SDVAR.o    ${OUT}/SUP2.o     ${OUT}/TRIGCAT.o  ${OUT}/TRIGCAT-.o \
-  ${OUT}/ULS2.o     ${OUT}/UP2.o \
   layer5done
 
 @
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index dbc6520..7769f15 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -847,6 +847,8 @@ algebra/Makefile move PARSCURV to layer1<br/>
 algebra/Makefile move PARCS2 to layer1<br/>
 <a href="patches/20081224.05.tpd.patch">20081224.05.tpd.patch</a>
 algebra/Makefile collapse layer 4 into 1 and 2<br/>
+<a href="patches/20081224.06.tpd.patch">20081224.06.tpd.patch</a>
+algebra/Makefile collapse layer 5 into layer 2<br/>
 
  </body>
 </html>
